Bug 842895 - (CVE-2012-3868) CVE-2012-3868 bind: high TCP query load can trigger memory leak
CVE-2012-3868 bind: high TCP query load can trigger memory leak
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120724,repo...
: Security
Depends On: 842899
Blocks: 842904
  Show dependency treegraph
 
Reported: 2012-07-24 16:51 EDT by Vincent Danen
Modified: 2016-03-04 07:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 00:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-07-24 16:51:35 EDT
Upstream has released BIND 9.9.1-P2 to correct the following flaw:

BIND 9 tracks incoming queries using a structure called "ns_client". When a query has been answered and the ns_client structure is no longer needed, it is stored on a queue of inactive ns_clients. When a new ns_client is needed to service a new query, the queue is checked to see if any inactive ns_clients are available before a new one is allocated; this speeds up the system by avoiding unnecessary memory allocations and de-allocations. However, when the queue is empty, and one thread inserts an ns_client into it while another thread attempts to remove it, a race bug could cause the ns_client to be lost; since the queue would appear empty in that case, a new ns_client would be allocated from memory. This condition occurred very infrequently with UDP queries but much more frequently under high TCP query loads; over time, the number of allocated but misplaced ns_client objects could grow large enough to affect system performance, and could trigger an automatic shutdown of the named process on systems with an "OOM killer" (out of memory killer) mechanism.

Only 9.9.0 through to 9.9.1-P1 are affected by this flaw.

External Reference:

https://kb.isc.org/article/AA-00730

Statement:

Not vulnerable. This issue did not affect the versions of bind or bind97 as shipped with Red Hat Enterprise Linux 4, 5, and 6.
Comment 1 Vincent Danen 2012-07-24 17:01:51 EDT
Created bind tracking bugs for this issue

Affects: fedora-17 [bug 842899]

Note You need to log in before you can comment on or make changes to this bug.